aboutsummaryrefslogtreecommitdiff
path: root/tests/bad/run_bad_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bad/run_bad_test.sh')
-rwxr-xr-xtests/bad/run_bad_test.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/bad/run_bad_test.sh b/tests/bad/run_bad_test.sh
new file mode 100755
index 0000000..9d951bb
--- /dev/null
+++ b/tests/bad/run_bad_test.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Copyright (C) 2016 Free Software Foundation, Inc.
+#
+# This file is part of GNU MIG.
+#
+# GNU MIG is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2, or (at
+# your option) any later version.
+#
+# GNU MIG is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU MIG. If not, see <http://www.gnu.org/licenses/>.
+#
+
+. $SRCDIR/tests/test_lib.sh
+
+file=$1
+module="$(basename $file .defs)"
+if run_mig $file $module; then
+ failure "$module was supposed to fail"
+ exit 1
+fi